# BarcodeScannerResult class

The result of barcode scanning.

## Constructors

BarcodeScannerResult.new({required List<BarcodeItem> barcodes, required bool success})
BarcodeScannerResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

barcodes → List<BarcodeItem>
  List of found barcodes.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
success → bool
  True if any barcodes were found.
  final

## Methods

encodeImages() → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
release() → void
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited